Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
03483 Graphics Minor Always Oct 23, 2009, 17:21 Nov 11, 2009, 03:31
Tester MetalliC View Status Public Platform MAME (Self-compiled)
Assigned To Resolution Bugs That Aren't Bugs OS Windows XP (32-bit)
Status [?] Resolved Driver midtunit.cpp
Version 0.134u3 Fixed in Version Build
Summary 03483: mk2 and clones: graphics glitches in attract mode
Description I see a strange black stripe on the right side of the screen in attract mode
Steps To Reproduce
Additional Information
Flags Verified with Original
Regression Version
Affected Sets / Systems mk2 and clones
Attached Files
png file icon mk2.png (137,307 bytes) Oct 23, 2009, 17:21
png file icon vlcsnap-2009-10-27-10h20m13s24.png (102,089 bytes) Oct 27, 2009, 14:25
Relationships
There are no relationship linked to this issue.
Notes
6
User avatar
No.05053
Tafoid
Administrator
Oct 23, 2009, 17:50
edited on: Oct 23, 2009, 17:50
I know I've seen this discussed before as not being a bug, but I can't find a document or source of it. This behavior has been the same as long as I can remember. I'll keep searching..
User avatar
No.05055
Tafoid
Administrator
Oct 24, 2009, 04:02
I'll confirm as possible for now until some video can be sourced showing the space to the right. If anyone can give definitive proof, please post the video.
User avatar
No.05067
Tafoid
Administrator
Oct 27, 2009, 14:24
edited on: May 31, 2012, 05:22
Found this which shows plainly a line on the right side during the intros. I'm willing to bet this is BTANB. Check at about 0:43 or look at snap I took.
User avatar
No.05068
Heihachi_73
Tester
Oct 27, 2009, 14:51
I'm pretty sure that the black area would be simply put off the screen on the real thing, the MK series are known for that type of leftover graphics. Being a blitter type system, it can use any amount of pixels up to its 'limit' of 400x256 or whatever, which it doesn't always use as shown above.

In fact, all three of the classic MK games have the same type of graphical 'glitch'. In MK1, there are two black areas at the top on the character bio screen, and more black on the right side of the screen when the character portraits are going down each side. In MK3 and UMK3, some of the stage backgrounds scroll off the side (e.g. Jade's Desert has a blue line on the right), and the right of the vs. screen has more unused areas (the right side dragon, but not the character's graphic under it). Just Midway being lazy I guess.

I'd say it's not a bug, but a similar sort of thing as the NeoGeo games when they are displayed in 320x224 mode; a lot of games only used 304 out of the 320 pixels available.
User avatar
No.05071
Phil Bennett
Developer
Oct 27, 2009, 18:42
It's visible on the actual PCB.
User avatar
No.05153
Fujix
Administrator
Nov 11, 2009, 03:31
BTANBized the report.